> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Log Outputs

> Logs model outputs from a specified MLflow Run.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/2.0/mlflow/runs/outputs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/runs/outputs:
    post:
      tags:
        - MLflow experiments and runs
      summary: Log Outputs
      description: Logs model outputs from a specified MLflow Run.
      operationId: runs.LogOutputs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/mlflow-proxy_LogOutputs'
      responses:
        '200':
          description: Outputs successfully logged.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_LogOutputsResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_LogOutputs:
      type: object
      required:
        - run_id
      properties:
        run_id:
          type: string
          description: ID of the Run from which to log outputs.
        models:
          type: array
          description: Model outputs from the Run.
          items:
            $ref: '#/components/schemas/mlflow-proxy_ModelOutput'
    mlflow-proxy_LogOutputsResponse:
      type: object
    mlflow-proxy_ModelOutput:
      type: object
      required:
        - model_id
        - step
      properties:
        model_id:
          type: string
          description: The unique identifier of the model.
        step:
          type: integer
          format: int64
          description: Step at which the model was produced.
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Persist data from Apps](/cloud/platform-capabilities/features/apps/persist-data-in-apps.md)
- [Monitor application execution logs](/cloud/admin/operations/audit-logs/application-logs.md)
- [App logs and monitoring](/cloud/platform-capabilities/features/apps/app-logs-and-versioning/index.md)
- [Configure batch scoring Job](/cloud/platform-capabilities/features/models/batch-scoring.md)
